Subject: Re: Xilinx PowerPC

From: "David H. Lynch Jr." <[email-masked]>
Date: Sun, 18 May 2008 23:27:04 -0400

I am preparing my own version of Yoshio's driver. Since most of my
changes are re-ordering, renaming, or other items of small consequence,
I will leave Yoshio as the author - unless he prefers otherwise.

I hope to have it ready to submit as a patch in a few days.
If Yoshio is unhappy with any of the changes I have made or chooses to
submit his original code or some permutation I will withdrawl mine.

While adding OF checksum offloading, ... would be nice,
All I am looking to do is get something that can start its way into the
kernel.
This driver is working for me - with very light testing so far.

If no one else is willing to Shepard something in, then I will try.
Hints, clues, etc would be very much appreciated.
I presume that if this driver is acceptable here, the next step would be
forwarding it to linux-netdev ?

Yoshio Kashiwagi wrote:
> David-san,
>
> This driver must add some corrections, for example, Checksum-offloading
> is incomplete as you say it. As for me, it is very happy to obtain
> your cooperation. Let me know if I can be of any work for it.
>
> Moreover, although I wrote the xps_ll_temac driver for u-boot of a very 
> simple single SDMA descriptor, I have not got used and put in the
> contribution way.
>
> Best Regards,
> Yoshio Kashiwagi - Nissin Systems

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein